/*
 * Class DATE_TIME
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_895 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_895 [] = {0xFF01,237,894,0xFFFF};
static const EIF_TYPE_INDEX egt_2_895 [] = {0xFF01,894,0xFFFF};
static const EIF_TYPE_INDEX egt_3_895 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_895 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_895 [] = {0xFF01,894,0xFFFF};
static const EIF_TYPE_INDEX egt_6_895 [] = {0xFF01,894,0xFFFF};
static const EIF_TYPE_INDEX egt_7_895 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_895 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_895 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_895 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_895 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_895 [] = {0xFF01,894,0xFFFF};
static const EIF_TYPE_INDEX egt_13_895 [] = {0xFF01,894,0xFFFF};
static const EIF_TYPE_INDEX egt_14_895 [] = {0xFF01,894,0xFFFF};
static const EIF_TYPE_INDEX egt_15_895 [] = {0xFF01,894,0xFFFF};
static const EIF_TYPE_INDEX egt_16_895 [] = {0xFF01,882,0xFFFF};
static const EIF_TYPE_INDEX egt_17_895 [] = {0xFF01,896,0xFF01,894,0xFFFF};
static const EIF_TYPE_INDEX egt_18_895 [] = {0xFF01,882,0xFFFF};
static const EIF_TYPE_INDEX egt_19_895 [] = {0xFF01,869,0xFFFF};
static const EIF_TYPE_INDEX egt_20_895 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_21_895 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_22_895 [] = {0xFF01,250,0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_23_895 [] = {0xFF01,250,0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_24_895 [] = {0xFF01,250,0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_25_895 [] = {0xFF01,250,0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_26_895 [] = {0xFF01,285,206,0xFFFF};
static const EIF_TYPE_INDEX egt_27_895 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_28_895 [] = {0xFF01,888,0xFFFF};
static const EIF_TYPE_INDEX egt_29_895 [] = {0xFF01,892,0xFFFF};
static const EIF_TYPE_INDEX egt_30_895 [] = {0xFF01,892,0xFFFF};
static const EIF_TYPE_INDEX egt_31_895 [] = {0xFF01,888,0xFFFF};
static const EIF_TYPE_INDEX egt_32_895 [] = {0xFF01,169,0xFFFF};
static const EIF_TYPE_INDEX egt_33_895 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_34_895 [] = {0xFF01,881,0xFFFF};
static const EIF_TYPE_INDEX egt_35_895 [] = {0xFF01,883,0xFFFF};
static const EIF_TYPE_INDEX egt_36_895 [] = {0xFF01,894,0xFFFF};
static const EIF_TYPE_INDEX egt_37_895 [] = {0xFF01,882,0xFFFF};
static const EIF_TYPE_INDEX egt_38_895 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_39_895 [] = {0xFF01,220,0xFFFF};


static const struct desc_info desc_895[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_895), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_895), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 13127, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_895), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13131, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_895), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_895), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_895), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_895), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_895), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_895), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_895), 13106, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_895), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_895), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06FD /*894*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_895), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 13126, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1452, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1453, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1454, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1456, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_895), 1457, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_895), 1458, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_895), 13121, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_895), 13128, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_895), 12925, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_895), 13098, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12721, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12722, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_895), 12723, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_895), 12724, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12751, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12752, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12753, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12754, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12755, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12756, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_895), 12757, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_895), 12758, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_895), 12759, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_895), 12760, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_895), 12761, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12762, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12763, 0xFFFFFFFF},
	{EIF_GENERIC(egt_26_895), 12750, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12725, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12726, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12727, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12728, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12729, 0xFFFFFFFF},
	{EIF_GENERIC(egt_27_895), 12730, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12767, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12766, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12765, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12944, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12945, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12926, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12927, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12764, 0xFFFFFFFF},
	{EIF_GENERIC(egt_28_895), 13119, 4},
	{EIF_GENERIC(egt_29_895), 13120, 0},
	{EIF_NON_GENERIC(0x019D /*206*/), 12765, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12766, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12767, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12768, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12769, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12770, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0185 /*194*/), 12771, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12768, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12769, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12770, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0185 /*194*/), 12771, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12741, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12742, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12743, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12740, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12739, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0185 /*194*/), 12733, 16},
	{EIF_NON_GENERIC(0x019D /*206*/), 12734, 8},
	{EIF_NON_GENERIC(0x019D /*206*/), 12736, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12737, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12738, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12744, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12745, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12746, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12747, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12748, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0185 /*194*/), 12733, 16},
	{EIF_GENERIC(egt_30_895), 13120, 0},
	{EIF_GENERIC(egt_31_895), 13119, 4},
	{EIF_GENERIC(NULL), 12930, 0xFFFFFFFF},
	{EIF_GENERIC(egt_32_895), 6686, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12942, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12943, 12},
	{EIF_GENERIC(NULL), 12928, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12929, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12931, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12932, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12933, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12934, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12935, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12936, 0xFFFFFFFF},
	{EIF_GENERIC(egt_33_895), 12937, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12938, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12983, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12984, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12985, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12986, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12987, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12988, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12989, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 13062, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 13063, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 13064, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 13095, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 13096, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 13097, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13108, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13109, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13110, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13111, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13112, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13113, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13114, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13115, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13116, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13117, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13118, 0xFFFFFFFF},
	{EIF_GENERIC(egt_34_895), 13122, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 13123, 0xFFFFFFFF},
	{EIF_GENERIC(egt_35_895), 13124, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 13125, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13129, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13130, 0xFFFFFFFF},
	{EIF_GENERIC(egt_36_895), 13132, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13133, 0xFFFFFFFF},
	{EIF_GENERIC(egt_37_895), 13099, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13100, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13101, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13102, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13103, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13104, 0xFFFFFFFF},
	{EIF_GENERIC(egt_38_895), 13107, 0xFFFFFFFF},
	{EIF_GENERIC(egt_39_895), 13105, 0xFFFFFFFF},
};
void Init895(void)
{
	IDSC(desc_895, 0, 894);
	IDSC(desc_895 + 1, 1, 894);
	IDSC(desc_895 + 32, 203, 894);
	IDSC(desc_895 + 36, 288, 894);
	IDSC(desc_895 + 39, 383, 894);
	IDSC(desc_895 + 43, 397, 894);
	IDSC(desc_895 + 47, 387, 894);
	IDSC(desc_895 + 61, 395, 894);
	IDSC(desc_895 + 67, 407, 894);
	IDSC(desc_895 + 75, 406, 894);
	IDSC(desc_895 + 84, 393, 894);
	IDSC(desc_895 + 93, 384, 894);
	IDSC(desc_895 + 103, 401, 894);
	IDSC(desc_895 + 106, 123, 894);
	IDSC(desc_895 + 108, 402, 894);
	IDSC(desc_895 + 120, 403, 894);
	IDSC(desc_895 + 127, 385, 894);
	IDSC(desc_895 + 130, 398, 894);
	IDSC(desc_895 + 133, 389, 894);
	IDSC(desc_895 + 159, 336, 894);
}


#ifdef __cplusplus
}
#endif
